package com.nisum.pompagefactory.practice;

import org.junit.jupiter.api.*;
import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.chrome.ChromeDriver;
import static org.junit.jupiter.api.Assertions.assertEquals;

class SafewayLogin {

	@Test
	public void testSafewayLogin() throws InterruptedException {
		// setup
		System.setProperty("webdriver.chrome.driver", "/Users/spangburn/drivers/chromedriver");
		WebDriver driver = new ChromeDriver();
		driver.get("https://www.safeway.com/");
		Thread.sleep(1000);

		// navigate Sign In
		WebElement signInDropdown = driver.findElement(By.linkText("Sign In / Up"));
		signInDropdown.click();
		Thread.sleep(1000);
		WebElement signInButton = driver.findElement(By.id("sign-in-modal-link"));
		signInButton.click();
		Thread.sleep(2000);

		// login
		WebElement userEmail = driver.findElement(By.id("label-email"));
		WebElement userPassword = driver.findElement(By.id("label-password"));
		WebElement trySignIn = driver.findElement(By.id("btnSignIn"));

		userEmail.sendKeys("zackroc@gmail.com");
		userPassword.sendKeys("password123");
		trySignIn.click();
		Thread.sleep(3000);

		// Navigate Account Settings
		WebElement accountDropdown = driver.findElement(By.linkText("Account"));
		accountDropdown.click();
		Thread.sleep(1000);
		WebElement accountSettingsButton = driver.findElement(By.xpath("//*[@id=\"menu\"]/div[1]/ul/li[4]/a"));
		accountSettingsButton.click();
		Thread.sleep(3000);

		// Assert Account Information Exists

		driver.quit();
	}

}
